Bug 649777 - Review Request: jorbis - Pure Java Ogg Vorbis Decoder
Summary: Review Request: jorbis - Pure Java Ogg Vorbis Decoder
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-04 14:43 UTC by Hans de Goede
Modified: 2010-12-01 21:57 UTC (History)
4 users (show)

Fixed In Version: cortado-0.6.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-01 21:57:06 UTC
oget.fedora: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2010-11-04 14:43:28 UTC
Spec URL: http://people.fedoraproject.org/~jwrdegoede/jorbis.spec
SRPM URL: http://people.fedoraproject.org/~jwrdegoede/jorbis-0.0.17-1.fc14.src.rpm
Description:
JOrbis is a pure Java Ogg Vorbis decoder.

Comment 1 Lukas Zapletal 2010-11-05 12:52:11 UTC
Unofficial formal review:

# MUST: rpmlint must be run on every package. The output should be posted in the review.[1]
OK

# MUST: The package must be named according to the Package Naming Guidelines .
OK

# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
OK

# MUST: The package must meet the Packaging Guidelines .
OK

# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK

# MUST: The License field in the package spec file must match the actual license. [3]
OK

# MUST: The spec file must be written in American English. [5]
OK

# MUST: The spec file for the package MUST be legible. [6]
OK

# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK

# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
OK

# MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK

# MUST: Packages must NOT bundle copies of system libraries.[11]
OK

# MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
OK

# MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
OK

# MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
OK

# MUST: Each package must consistently use macros. [16]
OK

# MUST: The package must contain code, or permissable content. [17]
OK

# MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
OK

# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
OK

# MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [21]
OK

# MUST: Packages must not own files or directories already owned by other packages.
OK

# MUST: All filenames in rpm packages must be valid UTF-8. [24]
OK

TOTAL: ALL OK

Java Guidelines: ALL OK

rpmlint jorbis-0.0.17-1.fc14.src.rpm 
jorbis.src:36: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 36)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 2 Hans de Goede 2010-11-05 13:18:00 UTC
(In reply to comment #1)
> rpmlint jorbis-0.0.17-1.fc14.src.rpm 
> jorbis.src:36: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 36)
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Oops, how did I miss that? New version with this fixed here:
Spec URL: http://people.fedoraproject.org/~jwrdegoede/jorbis.spec
SRPM URL:
http://people.fedoraproject.org/~jwrdegoede/jorbis-0.0.17-2.fc14.src.rpm

Comment 3 Orcan Ogetbil 2010-11-08 20:51:53 UTC
Hi,
Here is the last version of the jorbis specfile before it was retired from Fedora. You might find it useful. It's only retired a couple months ago, so the old specfile should be still in good shape.

http://pkgs.fedoraproject.org/gitweb/?p=jorbis.git;a=blob;f=jorbis.spec;h=ae378a9a195bc885e3f9aa0a56b2068a11e840f9;hb=79aa3902b3c6166ae9b4c95250e772569207e0e2

I think we should match the name of the player subpackage to the old one, or at least add some Provides.

Comment 4 Orcan Ogetbil 2010-11-08 20:56:04 UTC
Also, we probably need to have a higher VR than 0.0.17-3 to provide a healthy upgrade path.

There used to be a "comment" subpackage. If you don't want to package that part, it would be good to Obsolete it.

Comment 5 Hans de Goede 2010-11-09 09:07:00 UTC
Hi,

(In reply to comment #3)
> Hi,
> Here is the last version of the jorbis specfile before it was retired from
> Fedora. You might find it useful. It's only retired a couple months ago, so the
> old specfile should be still in good shape.
> 
> http://pkgs.fedoraproject.org/gitweb/?p=jorbis.git;a=blob;f=jorbis.spec;h=ae378a9a195bc885e3f9aa0a56b2068a11e840f9;hb=79aa3902b3c6166ae9b4c95250e772569207e0e2
> 
> I think we should match the name of the player subpackage to the old one, or at
> least add some Provides.
>
> Also, we probably need to have a higher VR than 0.0.17-3 to provide a healthy
> upgrade path.
> 
> There used to be a "comment" subpackage. If you don't want to package that
> part, it would be good to Obsolete it.

Thanks! I've fixed the upgrade path issues (renamed player package to -player, Obsolete -comment package, make sure the VR is higher) here is a new version:

Spec URL: http://people.fedoraproject.org/~jwrdegoede/jorbis.spec
SRPM URL:
http://people.fedoraproject.org/~jwrdegoede/jorbis-0.0.17-4.fc14.src.rpm

Comment 6 Orcan Ogetbil 2010-11-11 06:08:22 UTC
All good. Have fun with this package.

-----------------------------------------
This package (jorbis) is APPROVED by oget
-----------------------------------------

Thank you Lukas for the unofficial review.

Comment 7 Hans de Goede 2010-11-11 11:55:29 UTC
New Package SCM Request
=======================
Package Name: jorbis
Short Description: Pure Java Ogg Vorbis Decoder
Owners: jwrdegoede
Branches: f13 f14
InitialCC:

Comment 8 Jason Tibbitts 2010-11-11 15:55:49 UTC
This package already exists in pkgdb; we can't process a new package request for it.

Please let us know what you are trying to do.

Comment 9 Hans de Goede 2010-11-12 08:53:38 UTC
(In reply to comment #8)
> This package already exists in pkgdb; we can't process a new package request
> for it.
> 
> Please let us know what you are trying to do.

Sorry, jorbis was orphaned and then retired in f14, due to lack of a maintainer and now I'm trying to bring it back. I filed the SCM Request on auto pilot, my bad. So all that needs to happen is for the ownership of jorbis for f14 and master to be changed from orphan to jwrdegoede.

Comment 10 Hans de Goede 2010-11-12 08:53:57 UTC
Package Change Request
======================
Package Name: jorbis
branches: f14 master
New owner: jwrdegoede

Rationale: jorbis is returning to Fedora (it was retired) with a new maintainer. I've also filed a rel-eng request to unblock it from rawhide inclusion:
https://fedorahosted.org/rel-eng/ticket/4255

Comment 11 Jason Tibbitts 2010-11-12 14:16:18 UTC
I unretired the package in those two branches and (to save you the trouble) went ahead and made you the owner.

Comment 12 Orcan Ogetbil 2010-11-12 17:51:12 UTC
Hans, if there is need, you can apply the patch on the F-13 branch. I don't mind that. Just to let you know...

Comment 13 Fedora Update System 2010-11-16 11:10:17 UTC
jorbis-0.0.17-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/jorbis-0.0.17-4.fc14

Comment 14 Fedora Update System 2010-11-16 23:15:28 UTC
jorbis-0.0.17-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jorbis'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/jorbis-0.0.17-4.fc14

Comment 15 Fedora Update System 2010-11-23 21:56:56 UTC
cortado-0.6.0-2.fc14, jorbis-0.0.17-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cortado jorbis'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cortado-0.6.0-2.fc14,jorbis-0.0.17-4.fc14

Comment 16 Fedora Update System 2010-12-01 21:56:56 UTC
cortado-0.6.0-2.fc14, jorbis-0.0.17-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.